import { ApplicationDto, DeviceDto } from "@smallstack/axios-api-client";
export declare enum ApplicationStatus {
    LOADED = "loaded",
    LOADING = "loading",
    ERROR = "error",
    EMPTY = "empty",
    REGISTRATION_NEEDED = "registrationNeeded"
}
export interface ApplicationState {
    status: ApplicationStatus;
    device?: DeviceDto;
    application?: ApplicationDto;
    error?: string;
    pairingPin?: string;
}
