"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.extractIdFromApplicationPreviewUrl = exports.createApplicationPreviewUrl = void 0;
const utils_1 = require("@smallstack/utils");
function createApplicationPreviewUrl(id, applicationsPreviewUrlSuffix) {
    return `https://${id}.${applicationsPreviewUrlSuffix}`;
}
exports.createApplicationPreviewUrl = createApplicationPreviewUrl;
/** Either returns the id of the application preview url or undefined */
function extractIdFromApplicationPreviewUrl(domain, applicationsPreviewUrlSuffix) {
    if (domain.endsWith(applicationsPreviewUrlSuffix)) {
        const domainWithoutSuffix = domain.replace("." + applicationsPreviewUrlSuffix, "");
        if ((0, utils_1.isObjectIdString)(domainWithoutSuffix))
            return domainWithoutSuffix;
    }
}
exports.extractIdFromApplicationPreviewUrl = extractIdFromApplicationPreviewUrl;
//# sourceMappingURL=application-preview-url.js.map